2017-09-26 17:58 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002176Kali Linux[All Projects] New Tool Requestspublic2017-07-18 14:32
Reporterg0tmi1k 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.2 
Summary0002176: DBeaver v3.2.0 - Free Universal Database Manager
DescriptionName: DBeaver
Version: 3.2.0
Homepage: http://dbeaver.jkiss.org/
Download:
  http://dbeaver.jkiss.org/files/dbeaver-3.2.0-linux.gtk.x86.zip (x86)
  http://dbeaver.jkiss.org/files/dbeaver-3.2.0-linux.gtk.x86_64.zip (x64)

Description: *GUI Database admin tool*

DBeaver is free and open source (GPL) universal database tool for developers and database administrators.

Usability is the main goal of this project, program UI is carefully designed and implemented.
+ It is freeware.
+ It is multiplatform.
+ It is based on opensource framework and allows writing of various extensions (plugins).
+ It supports any database having a JDBC driver.
+ It may handle any external datasource which may or may not have a JDBC driver.
+ There is a set of plugins for certain databases (MySQL and Oracle in version 1.x) and different database management utilities (e.g. ERD).

Supported (tested) databases:
+ MySQL
+ Oracle
+ PostgreSQL
+ IBM DB2
+ Microsoft SQL Server
+ Sybase
+ ODBC
+ Java DB (Derby)
+ Firebird (Interbase)
+ HSQLDB
+ SQLite
+ Mimer
+ H2
+ IBM Informix
+ SAP MAX DB
+ Cache
+ Ingres
+ Linter
+ Teradata
+ Vertica
+ Any JDBC compliant data source
Attached Files

-Relationships
+Relationships

-Notes

~0003591

stormtide (reporter)

dpkg -i <filename>

Works with several databases.

~0006826

sbrun (manager)

new package dbeaver version 4.0.8-0kali1 is now in kali-rolling (only for amd64 and i386)

~0006932

g0tmi1k (administrator)

This is missing a entry in the Kali menu.
+Notes

-Issue History
Date Modified Username Field Change
2015-03-24 10:29 g0tmi1k New Issue
2015-07-24 16:54 stormtide Note Added: 0003591
2017-05-31 13:42 sbrun Assigned To => sbrun
2017-05-31 13:42 sbrun Status new => assigned
2017-06-15 14:24 sbrun Note Added: 0006826
2017-06-15 15:14 g0tmi1k Status assigned => resolved
2017-06-15 15:14 g0tmi1k Resolution open => fixed
2017-06-15 15:14 g0tmi1k Fixed in Version => 2017.2
2017-07-18 14:32 g0tmi1k Note Added: 0006932
+Issue History